<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width-device-width, initial-scale=1">
	<title>Bootstrap Grid System</title>

	<!-- ------Bootstrap CSS Link----------- -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- Two Columns Start -->
	<h2>Two Columns</h2>

	<div class="container-fluid">
		<h3>1:1 ratio</h3>
		
		<div class="row text-light">
			<div class="col-12 col-lg-6 bg-primary py-3 border border-dark">6 col</div>
			<div class="col-12 col-lg-6 bg-secondary py-3 border border-dark">6 col</div>
		</div>
			
		<h3>1:2 ratio</h3>
		
		<div class="row text-light">
			<div class="col-4 bg-primary py-3 border border-dark">4 col</div>
			<div class="col-8 bg-secondary py-3 border border-dark">8 col</div>
		</div>


		<h3>1:3 ratio</h3>
		
		<div class="row text-light">
			<div class="col-3 bg-primary py-3 border border-dark">3 col</div>
			<div class="col-9 bg-secondary py-3 border border-dark">9 col</div>
		</div>
	</div>

	<!-- ------Two Columns End------- -->


	<!-- ------Three Columns Start------- -->
			<h2>Three Columns</h2>
			<div class="container-fluid">
				<h3>1:1:1 ratio</h3>
				
				<div class="row text-light">
					<div class="bg-primary py-3 border border-dark col-4">col 4</div>
					<div class="bg-secondary py-3 border border-dark col-4">col 4</div>
					<div class="bg-primary py-3 border border-dark col-4">col 4</div>
				></div>
				
				<h3>1:2:1 ratio</h3>
				
				<div class="row text-light">
					<div class="bg-primary py-3 border border-dark col-3">col 3</div>
					<div class="bg-secondary py-3 border border-dark col-6">col 6</div>
					<div class="bg-primary py-3 border border-dark col-3">col 3</div>
				></div>

				<h3>Uneven ratio</h3>
				
				<div class="row text-light">
					<div class="bg-primary py-3 border border-dark col-3">col 3</div>
					<div class="bg-secondary py-3 border border-dark col-7">col 7</div>
					<div class="bg-primary py-3 border border-dark col-2">col 2</div>
				></div>
			</div>
	<!-- ------Three Columns End------- -->

	<!-- -------- Automatic Sizing Start -------------- -->
		<h2>Automatic Sizing</h2>

		<div class="container-fluid">
			<div class=" text-light row">
				<div class="bg-primary py-3 border border-dark col">Auto</div>
				<div class="bg-secondary py-3 border border-dark col">Auto</div>
				<div class="bg-primary py-3 border border-dark col">Auto</div>
				<div class="bg-secondary py-3 border border-dark col">Auto</div>
				<div class="bg-primary py-3 border border-dark col">Auto</div>
			</div>


		</div>



	<!-- -------- Automatic Sizing End -------------- -->





	









	<!-- -----JS Scripts------- -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>